propellor-5.10.1: property-based host configuration management in haskell

Safe Haskell | Safe
Language | Haskell98

Propellor.Property.Installer.Types

Synopsis

- newtype TargetDiskDevice = TargetDiskDevice FilePath
- data DiskEraseConfirmed = DiskEraseConfirmed
- class UserInput i where
  - targetDiskDevice :: i -> Maybe TargetDiskDevice
  - diskEraseConfirmed :: i -> Maybe DiskEraseConfirmed

# Documentation

newtype TargetDiskDevice Source #

The disk device to install to.

Constructors

TargetDiskDevice FilePath |

Instances

Read TargetDiskDevice Source # |
Instance details Defined in Propellor.Property.Installer.Types Methods readsPrec :: Int -> ReadS TargetDiskDevice readList :: ReadS [TargetDiskDevice] readPrec :: ReadPrec TargetDiskDevice readListPrec :: ReadPrec [TargetDiskDevice]
Show TargetDiskDevice Source # |
Instance details Defined in Propellor.Property.Installer.Types Methods showsPrec :: Int -> TargetDiskDevice -> ShowS show :: TargetDiskDevice -> String showList :: [TargetDiskDevice] -> ShowS

data DiskEraseConfirmed Source #

Constructors

DiskEraseConfirmed |

Instances

Read DiskEraseConfirmed Source # |
Instance details Defined in Propellor.Property.Installer.Types Methods readsPrec :: Int -> ReadS DiskEraseConfirmed readList :: ReadS [DiskEraseConfirmed] readPrec :: ReadPrec DiskEraseConfirmed readListPrec :: ReadPrec [DiskEraseConfirmed]
Show DiskEraseConfirmed Source # |
Instance details Defined in Propellor.Property.Installer.Types Methods showsPrec :: Int -> DiskEraseConfirmed -> ShowS show :: DiskEraseConfirmed -> String showList :: [DiskEraseConfirmed] -> ShowS

class UserInput i where Source #

Class of user input that an installer might prompt for.

Methods

targetDiskDevice :: i -> Maybe TargetDiskDevice Source #

Get the disk device the user selected to install to.

diskEraseConfirmed :: i -> Maybe DiskEraseConfirmed Source #

Check if the user has confirmed they want to erase the target disk device.